Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
pykde4-9999 failed to build
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index Unsupported Software
View previous topic :: View next topic  
Author Message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Mon Mar 07, 2011 9:21 am    Post subject: pykde4-9999 failed to build Reply with quote

[ 39%] Building CXX object CMakeFiles/python_module_PyKDE4_kio.dir/sip/kio/sipkiopart3.o
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/sip/kdeui/sipkdeuipart2.cpp: In function 'PyObject* meth_KTabWidget_label(PyObject*, PyObject*)':
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/sip/kdeui/sipkdeuipart2.cpp:17452:42: error: 'class KTabWidget' has no member named 'label'
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/sip/kdeui/sipkdeuipart2.cpp: In function 'PyObject* meth_KTabWidget_tabLabel(PyObject*, PyObject*)':
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/sip/kdeui/sipkdeuipart2.cpp:17480:42: error: 'class KTabWidget' has no member named 'tabLabel'
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/sip/kdeui/sipkdeuipart2.cpp: In function 'PyObject* meth_KTabWidget_setTabLabel(PyObject*, PyObject*)':
/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999_build/sip/kdeui/sipkdeuipart2.cpp:17508:21: error: 'class KTabWidget' has no member named 'setTabLabel'
make[2]: *** [CMakeFiles/python_module_PyKDE4_kdeui.dir/sip/kdeui/sipkdeuipart2.o] Error 1
make[1]: *** [CMakeFiles/python_module_PyKDE4_kdeui.dir/all] Error 2
make[1]: *** Waiting for unfinished jobs....
[ 40%] Building CXX object CMakeFiles/python_module_PyKDE4_kio.dir/sip/kio/sipkiopart4.o


.............................................................................

Linking CXX shared library lib/pykde/ktexteditor.so
[ 57%] Built target python_module_PyKDE4_ktexteditor
make: *** [all] Error 2
emake failed
* ERROR: kde-base/pykde4-9999 failed (compile phase):
* Make failed!
*
* Call stack:
* ebuild.sh, line 56: Called src_compile
* environment, line 7007: Called kde4-meta_src_compile
* environment, line 4315: Called kde4-base_src_compile
* environment, line 3987: Called cmake-utils_src_compile
* environment, line 1931: Called _execute_optionaly 'src_compile'
* environment, line 888: Called enable_cmake-utils_src_compile
* environment, line 2308: Called cmake-utils_src_make
* environment, line 1950: Called die
* The specific snippet of code:
* emake "$@" || die "Make failed!";
*
* If you need support, post the output of 'emerge --info =kde-base/pykde4-9999',
* the complete build log and the output of 'emerge -pqv =kde-base/pykde4-9999'.
* This ebuild used the following eclasses from overlays:
* /var/lib/layman/kde/eclass/kde4-meta.eclass
* /var/lib/layman/kde/eclass/kde4-base.eclass
* /var/lib/layman/kde/eclass/kde4-functions.eclass
* /var/lib/layman/kde/eclass/git-2.eclass
* This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
* The complete build log is located at '/var/tmp/portage/kde-base/pykde4-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-9999/temp/environment'.
* S: '/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999'

>>> Failed to emerge kde-base/pykde4-9999, Log file:

>>> '/var/tmp/portage/kde-base/pykde4-9999/temp/build.log'

* Messages for package kde-base/pykde4-9999:

* ERROR: kde-base/pykde4-9999 failed (compile phase):
* Make failed!
*
* Call stack:
* ebuild.sh, line 56: Called src_compile
* environment, line 7007: Called kde4-meta_src_compile
* environment, line 4315: Called kde4-base_src_compile
* environment, line 3987: Called cmake-utils_src_compile
* environment, line 1931: Called _execute_optionaly 'src_compile'
* environment, line 888: Called enable_cmake-utils_src_compile
* environment, line 2308: Called cmake-utils_src_make
* environment, line 1950: Called die
* The specific snippet of code:
* emake "$@" || die "Make failed!";
*
* If you need support, post the output of 'emerge --info =kde-base/pykde4-9999',
* the complete build log and the output of 'emerge -pqv =kde-base/pykde4-9999'.
* This ebuild used the following eclasses from overlays:
* /var/lib/layman/kde/eclass/kde4-meta.eclass
* /var/lib/layman/kde/eclass/kde4-base.eclass
* /var/lib/layman/kde/eclass/kde4-functions.eclass
* /var/lib/layman/kde/eclass/git-2.eclass
* This ebuild is from an overlay named 'kde': '/var/lib/layman/kde/'
* The complete build log is located at '/var/tmp/portage/kde-base/pykde4-9999/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/kde-base/pykde4-9999/temp/environment'.
* S: '/var/tmp/portage/kde-base/pykde4-9999/work/pykde4-9999'

* GNU info directory index is up-to-date.

* IMPORTANT: 10 config files in '/etc' need updating.
* See the CONFIGURATION FILES section of the emerge
* man page to learn how to update config files.

* IMPORTANT: 3 news items need reading for repository 'gentoo'.
* Use eselect news to read news items.

mybox src #



i have tryed to fix it by installing some versions of sip and the deps of it with no luck

regards

hedmo
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Mon Mar 07, 2011 7:57 pm    Post subject: Reply with quote

Try using PyQt4-4.8.4_pre20110304 instead. This ebuild is located in "qting-edge" overlay.

Loko123
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Mon Mar 07, 2011 9:45 pm    Post subject: Reply with quote

Total: 4 packages (1 upgrade, 2 new, 1 in new slot, 1 uninstall), Size of downloads: 0 kB
Conflict: 2 blocks
Portage tree and overlays:
[0] /usr/portage
[1] /var/lib/layman/qting-edge
[2] /var/lib/layman/kde

Would you like to merge these packages? [Yes/No]

>>> Verifying ebuild manifests

>>> Starting parallel fetch

>>> Emerging (1 of 4) dev-python/PyQt4-4.8.4_pre20110304 from qting-edge
* PyQt-x11-gpl-snapshot-4.8.4-549adf8a3ff7.tar.gz RMD160 SHA1 SHA256 size ;-) ... [ ok ]
* Package: dev-python/PyQt4-4.8.4_pre20110304
* Repository: qting-edge
* Maintainer: python@gentoo.org qt@gentoo.org
* Upstream: phil@riverbankcomputing.com pyqt@riverbankcomputing.com
* USE: X amd64 dbus declarative elibc_glibc kde kernel_linux multilib opengl sql svg userland_GNU webkit
* FEATURES: ccache sandbox
>>> Unpacking source...
>>> Unpacking PyQt-x11-gpl-snapshot-4.8.4-549adf8a3ff7.tar.gz to /var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/work
>>> Source unpacked in /var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/work
>>> Preparing source in /var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/work/PyQt-x11-gpl-snapshot-4.8.4-549adf8a3ff7 ...
* Applying PyQt4-4.8.3-configure-multilib.patch ...

* Failed Patch: PyQt4-4.8.3-configure-multilib.patch !
* ( /var/lib/layman/qting-edge/dev-python/PyQt4/files/PyQt4-4.8.3-configure-multilib.patch )
*
* Include in your bugreport the contents of:
*
* /var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/temp/PyQt4-4.8.3-configure-multilib.patch.out

* ERROR: dev-python/PyQt4-4.8.4_pre20110304 failed (prepare phase):
* Failed Patch: PyQt4-4.8.3-configure-multilib.patch!
*
* Call stack:
* ebuild.sh, line 56: Called src_prepare
* environment, line 4966: Called qt4-r2_src_prepare
* environment, line 4858: Called base_src_prepare
* environment, line 926: Called epatch '/var/lib/layman/qting-edge/dev-python/PyQt4/files/PyQt4-4.8.3-configure-multilib.patch'
* environment, line 1910: Called die
* The specific snippet of code:
* die "Failed Patch: ${patchname}!";
*
* If you need support, post the output of 'emerge --info =dev-python/PyQt4-4.8.4_pre20110304',
* the complete build log and the output of 'emerge -pqv =dev-python/PyQt4-4.8.4_pre20110304'.
* This ebuild is from an overlay named 'qting-edge': '/var/lib/layman/qting-edge/'
* The complete build log is located at '/var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/temp/build.log'.
* The ebuild environment file is located at '/var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/temp/environment'.
* S: '/var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/work/PyQt-x11-gpl-snapshot-4.8.4-549adf8a3ff7'

>>> Failed to emerge dev-python/PyQt4-4.8.4_pre20110304, Log file:

>>> '/var/tmp/portage/dev-python/PyQt4-4.8.4_pre20110304/temp/build.log'
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Mon Mar 07, 2011 9:50 pm    Post subject: Reply with quote

Do you know how to create a local overlay? If no just edit the ebuild with your favourite text editor (nano/vi) e.g. vi /var/lib/layman/qting-edge/dev-python/PyQt4-4.8.4_pre20110304.ebuild and comment the line #epatch ... .multilib.patch out. After that run an ebuild /var/lib/layman/qting-edge/dev-python/PyQt4-4.8.4_pre20110304 digest and it should work like a charm. :)
Back to top
View user's profile Send private message
hedmo
l33t
l33t


Joined: 29 Aug 2009
Posts: 923
Location: halmstad

PostPosted: Tue Mar 08, 2011 7:14 am    Post subject: Reply with quote

Loko123

i worked like a charm.but pykde4 is still failing to build.
Back to top
View user's profile Send private message
Loko123
Tux's lil' helper
Tux's lil' helper


Joined: 05 Feb 2011
Posts: 91

PostPosted: Tue Mar 08, 2011 8:45 pm    Post subject: Reply with quote

Have you also re-emerged sip? If yes, try re-emergin all qt-* packages and if this doesn't work for you it's a bug and should be reported to the gentoo kde overlay team. :) (But I think the error lies with the latest commit (They changed from svn to git)).

However, good luck!

Loko123
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index Unsupported Software All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum